
TYPO3.Flow - Bug # 4850

Status: Resolved Priority: Must have
Author: Benjamin Albrecht old 2 Category: MVC
Created: 2009-10-01 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: errorAction() of the MVC ActionController doesn't work correct
Description

Line 350 of the file ActionController.php doesn't work.

There is the old class "flashMessages" in use.

$this->flashMessages->add($errorFlashMessage);

I've changed this line into

$this->flashMessageContainer->add($errorFlashMessage);

and the errorAction works again.

Associated revisions
Revision 942886e3 - 2009-10-02 10:36 - Karsten Dambekalns

[+BUGFIX] FLOW3 (MVC): Fixed leftover use of flashMessages variable in ActionController, fixes #4850.

History
#1 - 2009-10-02 10:09 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 alpha 6

We missed that one, indeed.

#2 - 2009-10-02 11:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset r3284.
